package remote.demo.Native.PeerSDK.Peer;

import remote.demo.Native.NativeBaseObject;
import remote.demo.Native.PeerSDK.Peer.Stream.PeerStream;


public class Peer extends NativeBaseObject {

	protected  native  void nativeInit();
	@Override
	protected native void nativeRelease();
	
	public Peer() {
		
		super();
		nativeInit();
	}

	public void release() {
		nativeRelease();
	}
	
	public native boolean       connect(String host, int port, String user, String password, String type, boolean tryOthers);
	public native void          createLiveStream(PeerStream result);
	public native void          ack();
}
